idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.Elab.Record

Description

Synopsis

- elabRecord :: ElabInfo -> ElabWhat -> Docstring (Either Err PTerm) -> SyntaxInfo -> FC -> DataOpts -> Name -> FC -> [(Name, FC, Plicity, PTerm)] -> [(Name, Docstring (Either Err PTerm))] -> [(Maybe (Name, FC), Plicity, PTerm, Maybe (Docstring (Either Err PTerm)))] -> Maybe (Name, FC) -> Docstring (Either Err PTerm) -> SyntaxInfo -> Idris ()

# Documentation

elabRecord #

Arguments

:: ElabInfo |
-> ElabWhat |
-> Docstring (Either Err PTerm) | The documentation for the whole declaration
-> SyntaxInfo |
-> FC |
-> DataOpts |
-> Name | The name of the type being defined
-> FC | The precise source location of the tycon name
-> [(Name, FC, Plicity, PTerm)] | Parameters
-> [(Name, Docstring (Either Err PTerm))] | Parameter Docs
-> [(Maybe (Name, FC), Plicity, PTerm, Maybe (Docstring (Either Err PTerm)))] | Fields
-> Maybe (Name, FC) | Constructor Name
-> Docstring (Either Err PTerm) | Constructor Doc
-> SyntaxInfo | Constructor SyntaxInfo
-> Idris () |

Elaborate a record declaration